Bug 239462 - net-im/py-slackclient: Update to 2.1.0
Summary: net-im/py-slackclient: Update to 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://slack.dev/python-slackclient/...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-26 15:39 UTC by wcarson.bugzilla
Modified: 2019-08-19 12:19 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
Patch for net-im/py-slackclient 2.0.1 > 2.1.0. (1.01 KB, text/plain)
2019-07-26 15:39 UTC, wcarson.bugzilla
wcarson.bugzilla: maintainer-approval?
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wcarson.bugzilla 2019-07-26 15:39:13 UTC
Created attachment 206083 [details]
Patch for net-im/py-slackclient 2.0.1 > 2.1.0.

I've been running this for a few days without issue, and it fixes a rather important bug present in 2.0.1 (https://github.com/slackapi/python-slackclient/issues/451).
Comment 1 commit-hook freebsd_committer 2019-08-19 12:17:17 UTC
A commit references this bug:

Author: koobs
Date: Mon Aug 19 12:16:36 UTC 2019
New revision: 509276
URL: https://svnweb.freebsd.org/changeset/ports/509276

Log:
  net-im/py-slackclient: Update to 2.1.0

  aiodns is (was) actually an optional dependency. Add an ASYNCDNS option
  for now until upstream work out a good name for it [1]

  Changelog:

    https://slack.dev/python-slackclient/changelog.html#v2-1-0-2019-07-01

  Note: Missing from changelog, but also fixed:

  https://github.com/slackapi/python-slackclient/issues/451

  [1] https://github.com/slackapi/python-slackclient/issues/433

  PR:		239462
  Submitted by:	<wcarson.bugzilla disillusion.net>
  MFH:		2019Q3 (blanket: bugfix release)

Changes:
  head/net-im/py-slackclient/Makefile
  head/net-im/py-slackclient/distinfo
Comment 2 commit-hook freebsd_committer 2019-08-19 12:19:18 UTC
A commit references this bug:

Author: koobs
Date: Mon Aug 19 12:19:05 UTC 2019
New revision: 509283
URL: https://svnweb.freebsd.org/changeset/ports/509283

Log:
  MFH: r509276 net-im/py-slackclient: Update to 2.1.0

  aiodns is (was) actually an optional dependency. Add an ASYNCDNS option
  for now until upstream work out a good name for it [1]

  Changelog:

    https://slack.dev/python-slackclient/changelog.html#v2-1-0-2019-07-01

  Note: Missing from changelog, but also fixed:

  https://github.com/slackapi/python-slackclient/issues/451

  [1] https://github.com/slackapi/python-slackclient/issues/433

  PR:		239462
  Submitted by:	<wcarson.bugzilla disillusion.net>
  Approved by:	ports-secteam (blanket: bugfix release)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/net-im/py-slackclient/Makefile
  branches/2019Q3/net-im/py-slackclient/distinfo
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-19 12:19:54 UTC
Committed with minor change (ASYNCDNS option addition)

Thank you for the report and patch!